%define name ghex
%define libname %mklibname gtkhex 0

Name: %name
Summary: GNOME Hexadecimal Editor
Version: 2.8.1
Release: 1mdk
License: GPL
Group: Editors
Url: http://pluton.ijs.si/~jaka/gnome.html#GHEX
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-ghex.png
Source2: gnome-ghex-48x48.png
Source3: gnome-ghex-16x16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: libglade2.0-devel
BuildRequires: libgail-devel
BuildRequires: libgnomeui2-devel
BuildRequires: scrollkeeper
BuildRequires: intltool
PreReq: scrollkeeper >= 0.3

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%package -n %libname
Summary: Shared library of the GNOME Hexadecimal Editor
Group: System/Libraries

%description -n %libname
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the shared library needed by ghex.
 
%package -n %libname-devel
Summary: Development files for the GNOME Hexadecimal Editor library 
Group: Development/C
Requires: %libname = %version-%release
Requires: libgail-devel
Requires: libgtk+2.0-devel
Provides: libgtkhex-devel = %version-%release

%description -n %libname-devel
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the development files needed to compile applications with 
libghex

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
intltoolize --force

%build

%configure2_5x
%make

%install

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/gnome-ghex.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/gnome-ghex.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/gnome-ghex.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/ghex << EOF
?package(ghex):\
needs="x11"\
title="Hex Editor"\
longtitle="GNOME Hexadecimal Editor"\
command="ghex2"\
section="Applications/Editors"\
icon="gnome-ghex.png" \
startup_notify="true"
EOF

%{find_lang} %name-2.0 --with-gnome --all-name

for omf in %buildroot%_datadir/omf/ghex/ghex2-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/eog-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ghex2.schemas > /dev/null

%{update_menus}

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ghex2.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS README ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome-2.0/ui/*
%{_menudir}/*
%dir %{_datadir}/omf/ghex
%{_datadir}/omf/ghex/ghex-C.omf
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%files -n %libname
%defattr(-, root, root)
%_libdir/libgtkhex.so.*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/libgtkhex.so
%_libdir/libgtkhex.a
%_libdir/libgtkhex.la
%_libdir/pkgconfig/gtkhex.pc
%_includedir/gtkhex/

%changelog
* Tue Oct 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Oct 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- add omf files to lang
- New release 2.8.0

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- really fix to new menu

* Thu Aug 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- rebuild for new menu

* Thu May 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- enable parallel build
- reenable libtoolize
- New release 2.6.1

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.2-1mdk
- fix menu
- fix intltool build
- new version

* Sat Oct 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.5.0-1mdk
- new version

* Thu Sep 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch0 (merged upstream)

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-4mdk
- don't uninstall schemas on upgrade

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-3mdk
- add schemas uninstallation
- patch to fix varargs syntax error caught by new gcc 

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-2mdk
- fix distriblint warning

* Wed Apr 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-1mdk
- libify the package
- disable parallel build, there are some missing deps
- new version

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch0 (merged upstream) (was gnomeprint 2.2 support)

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.90-1mdk
- Release 1.99.90 (GNOME 2 port)
- Remove patch0 (merged upstream)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Patch0: use DTD compliant OMF file

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-4mdk
- png icons (out xpm!)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- find_lang --with-gnome for help files

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-2mdk
- add url

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Use scrollkeeper to maintain help database

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-0.2mdk
- Recompiled against latest gnome-print
- add help

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.1mdk
- correct release
- used srpm from Gtz Waschk <waschk@linux-mandrake.com

* Wed Feb 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.2-0.1mdk
- 1.2-beta1

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk 
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- new release

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- initial Mandrake package
